import { Theme, ILanguageRegistration } from 'shiki';
import MarkdownIt from 'markdown-it';

interface DarkModeThemes {
    dark: Theme;
    light: Theme;
}
interface Options {
    theme?: Theme | DarkModeThemes;
    langs?: ILanguageRegistration[];
    timeout?: number;
}
declare const MarkdownItShiki: MarkdownIt.PluginWithOptions<Options>;

export default MarkdownItShiki;
export { DarkModeThemes, Options };
